Subject: Re: bug#2251: 23.0.90; Summary by label in RMAIL

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Feb 2009 06:12:30 +0200

> Date: Tue, 10 Feb 2009 22:02:46 +0000
> From: jpff <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> In the pre-mbox file i see
> 
> 1, edited,,
> Summary-line: 10-Mar      [email-masked]  [24] #Re: Loadable Opcodes in OLPC
>         x       X-Coding-System: iso-8859-1-unix

OK, so the corrupted line came from your BABYL file, which probably
means the current Rmail is not guilty here.

> Mail-from: From [email-masked] Mon Mar 10 11:22:33 2008
> 
> Cannot chase this further back easily.
> 
> It survived for a long time before being a problem

I will try to look into making Rmail less sensitive to such
problematic files.

> By "not being able to read" I mean that when I do C-X f RMAIL it
> loads the file in fundamental mode and I have to do a M-x rmail-mode
> before it behaves.  Previously there was a 
>    BABYL OPTIONS: -*- rmail -*-
> at the head of the file and so the mode was selected.  It is this I
> have been unable to reproduce

That's a known issue with mbox files.  For now, I suggest to use
"C-u M-x rmail RET ~/RMAIL RET" instead of "C-x C-f".

Btw, please always indent BABYL headers, such as the one above, when
you insert them in your mail, because Rmail doesn't like that, and
part of your message is lost.

> Regarding unseen I have been using a function
> (defun rmail-first-unseen ()
>   (interactive)
>   (rmail-show-message (rmail-first-unseen-message)))
> 
> for a while which I find very useful in the way I work.Now that
> function fails -- either crashes or does not do anything.

Please show one or two cases of these failures.

> Happy to join in chasing these lacuna, as without emacs rmail-mode I
> am lost

So am I.